/******/ (function() { // webpackBootstrap
/******/ 	"use strict";
!function() {

;// CONCATENATED MODULE: ./admin/stock-list/modules/header-actions.js
var $ = jQuery;
var headerActions = window.mewz_wcas_header_actions || {};
var $importFileInput;
function load() {
  var $actions = $(headerActions.html);
  $actions.insertAfter('.wrap > .page-title-action');
  $('#mewz-wcas-import-button').on('click', handleImportAction);
}

function handleImportAction() {
  var $button = $(this);

  if (!$importFileInput) {
    var $form = $("<form action=\"".concat($button.data('action'), "\" method=\"post\" enctype=\"multipart/form-data\" style=\"display: none;\"></form>"));
    $importFileInput = $('<input type="file" name="import_file" />');
    $importFileInput.on('change', function () {
      return $form.submit();
    });
    $('body').append($form.append($importFileInput));
  }

  $importFileInput[0].click();
}
;// CONCATENATED MODULE: ./admin/stock-list/modules/filters.js
var filters_$ = jQuery;
var attrData = window.mewz_wcas_attribute_options || {};
var $attrFilter, $termFilter;
function filters_load() {
  $attrFilter = filters_$('#filter_attribute');
  $termFilter = filters_$('#filter_term');
  $attrFilter.on('change', populateTermOptions);
}

function populateTermOptions() {
  var attrId = +$attrFilter.val();
  $termFilter.find('option:not([value=""])').remove();
  $termFilter.append(getTermOptions(attrId));
  $termFilter.val('');
}

function getTermOptions(attributeId) {
  if (!attrData.hasOwnProperty(attributeId)) {
    return [];
  }

  var options = [];
  var terms = attrData[attributeId].terms;

  for (var i = 0; i < terms.length; i++) {
    options.push(filters_$('<option/>', {
      value: terms[i][0],
      text: terms[i][1]
    }));
  }

  return options;
}
;// CONCATENATED MODULE: ./admin/stock-list/modules/inline-edit.js
var inline_edit_$ = jQuery;
var _window$mewz_wcas_sto = window.mewz_wcas_stock_list_data,
    rest_url = _window$mewz_wcas_sto.rest_url,
    rest_nonce = _window$mewz_wcas_sto.rest_nonce;
var placeholder = 0 .toLocaleString(undefined, {
  minimumFractionDigits: 2
});
var localeStringParams = {
  maximumSignificantDigits: 20,
  maximumFractionDigits: 20
};
var $table;
function inline_edit_load() {
  $table = inline_edit_$('#the-list');
  $table.on('click', '.inline-edit-quantity .action-button', inlineEditQuantity);
}

function inlineEditQuantity(e) {
  var $button = inline_edit_$(this);
  var $edit = $button.parent();
  var $td = $edit.closest('td');
  var action = $button.data('action');
  var currentQty = +$edit.data('quantity');
  var value = action === 'adjust' ? '' : currentQty;
  var $input = makeInput('number', value, placeholder);
  var $inputIcon = inline_edit_$('<span class="icon"></span>');
  var $inputWrap = inline_edit_$("<span class=\"inline-edit-input-wrap ".concat(action, "\"></span>"));
  $td.append($inputWrap.append($input, $inputIcon));
  $input.select();
  $td.addClass('inline-editing');
  $input.on('blur', stopEditing);
  $input.on('keydown', function (e) {
    if (e.key === 'Escape') {
      stopEditing();
    } else if (e.key === 'Enter') {
      e.preventDefault();
      handleUpdateStock();
    } else if (e.key === 'Tab') {
      handleUpdateStock();
      var $tr = $td.parent('tr');
      var buttonSelector = ".".concat(action, "-quantity-button");
      var $nextButton = getNextButton($tr, buttonSelector, e.shiftKey);

      if ($nextButton) {
        e.preventDefault();
        $nextButton.click();
      }
    }
  });
  var $stockQuantity, origStockQtyHtml;

  function handleUpdateStock() {
    var newQty = +$input.val();
    stopEditing();

    if (action === 'adjust' ? !newQty : newQty === currentQty) {
      return;
    }

    $stockQuantity = $td.find('.stock-quantity');

    if (action === 'edit') {
      origStockQtyHtml = $stockQuantity.html();
      $stockQuantity.text(newQty.toLocaleString(undefined, localeStringParams));
    }

    $td.addClass('inline-edit-pending');
    $td.find('.action-button').prop('disabled', true);
    var data = action === 'adjust' ? {
      adjust_quantity: newQty
    } : {
      quantity: newQty
    };
    ajaxUpdateStock($edit.data('stock-id'), data).done(onSuccess).error(onError).always(onComplete);
  }

  function stopEditing() {
    $inputWrap.remove();
    $td.removeClass('inline-editing');
  }

  function onSuccess(updated) {
    if (!updated || !('quantity' in updated) || !('formatted_quantity' in updated)) {
      return onError();
    }

    $td.find('.stock-quantity').replaceWith(updated.formatted_quantity);
    $edit.data('quantity', updated.quantity);
    $td.trigger('mewz_wcas_inline_stock_quantity_updated', [updated]);
  }

  function onError() {
    if (action === 'edit') {
      $stockQuantity.html(origStockQtyHtml);
    }
  }

  function onComplete() {
    $td.removeClass('inline-edit-pending');
    $td.find('.action-button').prop('disabled', false);
  }
}

function makeInput(type, value, placeholder) {
  return inline_edit_$('<input/>', {
    type: type,
    value: value,
    class: 'inline-edit-input inline-edit-input-quantity',
    step: 'any',
    placeholder: placeholder
  });
}

function ajaxUpdateStock(stockId, data) {
  return inline_edit_$.ajax({
    url: rest_url + '/stock/' + stockId,
    method: 'POST',
    data: data,
    beforeSend: function beforeSend(xhr) {
      xhr.setRequestHeader('X-WP-Nonce', rest_nonce);
    }
  });
}

function getNextButton($tr, buttonSelector) {
  var prev = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : false;
  var $nextRow = getNextRow($tr, prev);
  if ($nextRow.is($tr)) return false;
  var $nextButton = $nextRow.find(buttonSelector);
  if (!$nextButton.length) return false;

  while ($nextButton.prop('disabled')) {
    $nextRow = getNextRow($nextRow, prev);
    if ($nextRow.is($tr)) return false;
    $nextButton = $nextRow.find(buttonSelector);
    if (!$nextButton.length) return false;
  }

  return $nextButton;
}

function getNextRow($tr) {
  var prev = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;
  var $nextRow = prev ? $tr.prev('tr') : $tr.next('tr');

  if (!$nextRow.length) {
    $nextRow = prev ? $tr.siblings('tr:last-of-type') : $tr.siblings('tr:first-of-type');
  }

  return $nextRow;
}
;// CONCATENATED MODULE: ./admin/stock-list/index.js



jQuery(function () {
  load();
  filters_load();
  inline_edit_load();
});
}();
!function() {
// extracted by mini-css-extract-plugin

}();
/******/ })()
;