<?php

use Mewz\WCAS\Plugin;
use Mewz\WCAS\Models\AttributeStock;
use Mewz\WCAS\Util\Orders;

/**
 * @return Plugin
 */
function Mewz_WCAS()
{
	return Plugin::instance();
}

/**
 * Gets a new or existing attribute stock object.
 *
 * @param int|\WP_Post $id The attribute stock ID or post object
 * @param string $context 'view', 'edit' or 'object'
 *
 * @return AttributeStock
 */
function mewz_wcas_get_stock($id = null, $context = 'view')
{
	return AttributeStock::instance($id, $context);
}

/**
 * Reduces attribute stock for an order accordingly. Does nothing if stock has already been reduced.
 *
 * @param int|\WC_Order $order
 *
 * @return bool
 */
function mewz_wcas_reduce_order_stock($order)
{
	return Orders::update_order_attribute_stock($order, 'reduce');
}

/**
 * Restores attribute stock for an order that has previously been reduced.
 *
 * @param int|\WC_Order $order
 *
 * @return bool
 */
function mewz_wcas_restore_order_stock($order)
{
	return Orders::update_order_attribute_stock($order, 'restore');
}
