<?php
namespace Mewz\WCAS\Actions\Common;

use Mewz\Framework\Base\Action;

class ClearCaches extends Action
{
	public function __hooks()
	{
		add_action('clean_post_cache', [$this, 'clear_post'], 10, 2);
		add_action('mewz_attribute_stock_saved', [$this, 'clear_attribute_stock']);
	}

	public function clear_post($post_id, \WP_Post $post)
	{
		if ($post->post_type === 'mewz_attribute_stock') {
			$this->clear_attribute_stock();
		}
		elseif (in_array($post->post_type, ['product', 'product_variation'])) {
			$this->cache->invalidate('product_' . $post_id);

			if ($post->post_parent) {
				$this->cache->invalidate('product_' . $post->post_parent);
			}
		}
	}

	public function clear_attribute_stock()
	{
		$this->cache->invalidate('stock');

		// product stock transients need to be refreshed
		wc_delete_product_transients();
	}
}
