<?php
namespace Mewz\WCAS\Actions\Common;

use Mewz\Framework\Base\Action;
use Mewz\QueryBuilder\DB;
use Mewz\WCAS\Util\MatchSets;

class DeleteMatchSets extends Action
{
	public function __hooks()
	{
		add_action('delete_term', [$this, 'delete_term'], 10, 3);
		add_action('woocommerce_attribute_deleted', [$this, 'deleted_attribute']);
		add_action('delete_post', [$this, 'delete_post']);
	}

	public function delete_term($term_id, $tt_id, $taxonomy)
	{
		if (strpos($taxonomy, 'pa_') !== 0) return;

		DB::transaction();
		MatchSets::delete_rows($taxonomy, $term_id);
		DB::commit();
	}

	public function deleted_attribute($attribute_id)
	{
		DB::transaction();
		MatchSets::delete_rows($attribute_id, null, true);
		MatchSets::delete_empty_attribute_level_stocks($attribute_id);
		DB::commit();
	}

	public function delete_post($post_id)
	{
		if (get_post_type($post_id) === 'mewz_attribute_stock') {
			MatchSets::delete_sets($post_id);
		}
	}
}
