<?php
namespace Mewz\Framework\Plugin;

use Mewz\Framework\Plugin;

class Installer
{
	/** @var Plugin */
	protected $plugin;

	public function __construct(Plugin $plugin)
	{
		$this->plugin = $plugin;
	}

	public static function schema()
	{
		return '';
	}

	public function activate()
	{
		if (!$this->plugin->db_version) {
			$this->install();
		}
	}

	public function deactivate() {}

	public function install()
	{
		$this->update_schema();

		add_option($this->plugin->prefix . '_version', $this->plugin->version);
	}

	public function update()
	{
		$this->update_schema();
		$this->migrations();

		update_option($this->plugin->prefix . '_version', $this->plugin->version);

		$this->plugin->db_version = $this->plugin->version;
	}

	public function update_schema()
	{
		if ($schema = static::schema()) {
			require_once ABSPATH . 'wp-admin/includes/upgrade.php';
			dbDelta($schema);
		}
	}

	public function migrations()
	{
	}

	public function uninstall()
	{
	}
}
